MrSID Decode SDK for LiDAR Reference Manual 1.1.4.4709

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
TXTPointWriter Class Reference

TXTPointWriter writes LiDAR-based Text files. More...

`#include <TXTPointWriter.h>`

Inheritance diagram for TXTPointWriter:
[legend]
Collaboration diagram for TXTPointWriter:
[legend]

## Public Member Functions
void | init (const PointSource *src, const char *path, const char *format)
| Initialize with input PointSource and output filename and format string. More...
void | init (const PointSource *src, IO *io, const char *format)
| Initialize with input PointSource and output IO object and format string. More...
void | init (const PointSource *src, const char *path, const PointInfo &fieldInfo)
| Initialize with input PointSource and output filename and field list. More...
void | init (const PointSource *src, IO *io, const PointInfo &fieldInfo)
| Initialize with input PointSource and output IO object and field list. More...
void | writeBegin (const PointInfo &pointInfo)
| Begin writing the file. More...
void | writePoints (const PointData &points, size_t numPoints, ProgressDelegate *delegate)
| Write a set of points. More...
void | writeEnd (PointSource::count_type numPoints, const Bounds &bounds)
| Finish writing the file. More...
bool | supportedChannels (const PointInfo &inputPointInfo, PointInfo &supportedPointInfo) const
| Remove the unsupported channels. More...
Public Member Functions inherited from SimplePointWriter
void | setQuantization (const double scale[3], const double offset[3])
| Set the quantization. More...
const double * | getScale (void) const
| Get the quantization scale. More...
const double * | getOffset (void) const
| Get the quantization offset. More...
count_type | write (const Bounds &bounds, double fraction, const PointInfo &pointInfo, ProgressDelegate *delegate)
Public Member Functions inherited from PointWriter
void | setMetadata (const Metadata &metadata)
| Set the metadata. More...
Metadata & | getMetadata (void)
| Get the Metadata. More...
void | setChunckSize (size_t size)
Public Member Functions inherited from Object
int | retain (void) const
| Increment the reference count by one. More...
int | release (void) const
| Decrement the reference count by one. More...

## Protected Attributes
StreamWriter | m_stream
size_t | m_numHandlers
Handler * | m_handler
Protected Attributes inherited from SimplePointWriter
double | m_offsets [3]
double | m_scale [3]

## Additional Inherited Members
Public Types inherited from PointWriter
typedef PointSource::count_type | count_type
Protected Member Functions inherited from SimplePointWriter
virtual double | getTotalWork (const Bounds &bounds, double fraction) const
| Get the amount of work needed to write the file. More...

## Detailed Description

The TXTPointWriter class writes point clouds to text files. Each line of the text file is point with the fields delimited by white spaces.

Definition at line 26 of file TXTPointWriter.h.

## Member Function Documentation

void TXTPointWriter::init | ( | const PointSource * | src,
|  | const char * | path,
|  | const char * | format
| ) |  |

This method initializes the writer with a intput PointSource and output filename and format string. The format string defines the order of the text columns.

Parameters

  src | the input PointSource
  path | the output filename
  format | the channel layout format string, see TXTPointReader::parseString().

void TXTPointWriter::init | ( | const PointSource * | src,
|  | IO * | io,
|  | const char * | format
| ) |  |

This method initializes the writer with a intput PointSource and output IO object and format string. The format string defines the order of the text columns.

Parameters

  src | the input PointSource
  path | the output filename
  format | the channel layout format string, see TXTPointReader::parseString().

void TXTPointWriter::init | ( | const PointSource * | src,
|  | const char * | path,
|  | const PointInfo & | fieldInfo
| ) |  |

This method initializes the writer with a intput PointSource and output filename and field list. The field list defines the order of the text columns.

Parameters

  src | the input PointSource
  path | the output filename
  fieldInfo | a ChannelInfo array describing the column layout
  numFields | the number of fields

void TXTPointWriter::init | ( | const PointSource * | src,
|  | IO * | io,
|  | const PointInfo & | fieldInfo
| ) |  |

This method initializes the writer with a intput PointSource and output IO object and field list. The field list defines the order of the text columns.

Parameters

  src | the input PointSource
  path | the output filename
  fieldInfo | a ChannelInfo array describing the column layout
  numFields | the number of fields

bool TXTPointWriter::supportedChannels | ( | const PointInfo & | inputPointInfo,
|  | PointInfo & | supportedPointInfo
| ) |  | const
| virtual

This method take a list of channels and returns the supported channels.

Parameters

  inputPointInfo | a list of channels
  supportedPointInfo | a filtered version of inputPointInfo

Returns
  returns true if channels were removed

Implements PointWriter.

void TXTPointWriter::writeBegin | ( | const PointInfo & | pointInfo) |  |
| virtual

This method is called to start writing file.

Parameters

  channelInfo | an array describing which channels are being saved
  numChannels | the number of channels

Implements SimplePointWriter.

void TXTPointWriter::writeEnd | ( | PointSource::count_type | numPoints,
|  | const Bounds & | bounds
| ) |  |
| virtual

This method is called when no more points are left.

Parameters

  numPoints | the total number of points written
  bounds | the tight boundsing box the points

Note
  On faliure writeEnd() is called with numPoints = 0 and bounds = Bounds::Huge()

Implements SimplePointWriter.

void TXTPointWriter::writePoints | ( | const PointData & | points,
|  | size_t | numPoints,
|  | ProgressDelegate * | delegate
| ) |  |
| virtual

This method is called when points need to be written.

Parameters

  points | the points to be written
  numPoints | the number of points to write
  delegete | the progress delegete to be updated (can be NULL)

Implements SimplePointWriter.

## Member Data Documentation

Handler* TXTPointWriter::m_handler
| protected

Definition at line 99 of file TXTPointWriter.h.

size_t TXTPointWriter::m_numHandlers
| protected

Definition at line 98 of file TXTPointWriter.h.

StreamWriter TXTPointWriter::m_stream
| protected

Definition at line 95 of file TXTPointWriter.h.

The documentation for this class was generated from the following file:

- TXTPointWriter.h

LizardTech